Graphviz Issue Tracker
Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002161graphvizCircopublic2011-11-16 00:562011-11-24 22:49
Reporterhydrant 
Assigned Touser2561 
PrioritynormalSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
PlatformlinuxOSGentoo 4.3.4 p1.1, pie-10.1.5OS Version4.3.4
Summary0002161: Assertion error while using circo layout
Descriptionassertion error:

dot: split.q.c:254: Classify: Assertion `!rtp->split.Partitions[0].taken[i]' failed.
Aborted
Steps To ReproduceI am attaching source file

dot -Tpng scc_r0_rd0.00_ad100_od100_md1.75_k0064_c10006.dot -o scc_r0_rd0.00_ad100_od100_md1.75_k0064_c10006.png
Additional Informationgcc version 4.3.4 (Gentoo 4.3.4 p1.1, pie-10.1.5)
TagsNo tags attached.
AUXILLARY-FILES
DATE-FIXED
FIX-COMMENT
FORMER-ID
INPUT-FILE
OUTPUT-FILE
STATUS-COMMENT
VERSIONdot - graphviz version 2.29.20111112.0545 (20111112.0545)
Attached Filesdot file icon scc_r0_rd0.00_ad100_od100_md1.75_k0064_c10006.dot [^] (11,696 bytes) 2011-11-16 11:23
gz file icon images.tar.gz [^] (1,214,787 bytes) 2011-11-17 13:37
dot file icon scc_wi.dot [^] (7,342 bytes) 2011-11-17 13:38

- Relationships

-  Notes
User avatar (0000115)
erg (administrator)
2011-11-16 11:19

I'm not seeing any attached files with the bug report. Would you be kind as to attach them again? Thanks.
User avatar (0000116)
erg (administrator)
2011-11-17 11:06

If you don't use the images for the nodes, do you get the same problem?

On a side issue, your graph has a very tree-like structure. Circo does not work well with trees, as it tends to produce very big layouts. It would probably be better to use neato, sfdp, or fdp.
User avatar (0000117)
hydrant (reporter)
2011-11-17 13:46

1: OK. I realized, that I need to use another layout engine. I used and it worked. I reported this because graphviz should not end with "assertion error".

2: Sorry I forgot, that images could be involved. I uploaded them for you. They seems to be OK. So it is not issue of corrupted image.

3: I tried to produce graph without images as you suggested... but this time result was "dot: failure to create cairo surface: out of memory". Which is OK, but I do not now how to try it.

4: I changed output to pdf (again without images). No memory problem but circo produced a white page... I half of the edges and result was ok. I tried to how many edges I have to remove (from the end) to get a result... I have uploaded scc_wi.dot file, which produces for me only white pdf page. If I remove the last edge, result is ok.
User avatar (0000118)
erg (administrator)
2011-11-17 15:16

1. Agreed, but it is better if fixing the bug does not hold up your work.
2. No, but the images do change the geometry. Thanks. With the images, we can now replicate the bug.
3 & 4. The problem is that, for your graph, circo produces a huge drawing. For bitmaps, we run out of area (sometimes, we are able to scale it down automatically but the memory requirements may still be too much). For pdf, what you see will depend on the viewer. acroread shows a white page; the preview program on the mac displays the graph. The main lessons are that circo is not
right for your graph and that it's useful to use -Gsize=10 or something unless you're sure the drawing will be small.

- Issue History
Date Modified Username Field Change
2011-11-16 00:56 hydrant New Issue
2011-11-16 11:19 erg Note Added: 0000115
2011-11-16 11:23 hydrant File Added: scc_r0_rd0.00_ad100_od100_md1.75_k0064_c10006.dot
2011-11-17 11:06 erg Note Added: 0000116
2011-11-17 11:06 erg Assigned To => erg
2011-11-17 11:06 erg Status new => assigned
2011-11-17 11:06 erg Assigned To erg => user2561
2011-11-17 13:37 hydrant File Added: images.tar.gz
2011-11-17 13:38 hydrant File Added: scc_wi.dot
2011-11-17 13:46 hydrant Note Added: 0000117
2011-11-17 15:16 erg Note Added: 0000118
2011-11-23 11:22 user2561 Resolution open => fixed
2011-11-24 22:49 erg Status assigned => closed


MantisBT 1.2.5[^]
Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker